<?php 

require_once "../controladores/empleado.controlador.php";
require_once "../modelos/empleado.modelo.php";
class AjaxTrabajador {

    /*=============================================
	VALIDAR NO REPETIR TRABAJADOR
	=============================================*/	

	public $validarTrabajador;

	public function ajaxValidarTrabajador(){

		$item = "num_documento";
		$valor = $this->validarTrabajador;

		$respuesta = ControladorEmpleado::ctrMostrarEmpleado($item, $valor);

		echo json_encode($respuesta);

	}


    /** EDITAR TRABAJADOR */

    public $idTrabajador;

    public function ajaxEditarTrabajdor(){

        $item = "id";
        $valor = $this -> idTrabajador;
        $respuesta = ControladorEmpleado:: ctrMostrarEmpleado($item, $valor);

        echo json_encode($respuesta);

    } 

}

/** EDITAR SUCURSAL */

if(isset($_POST["idTrabajador"])){
    $editar = new AjaxTrabajador();
    $editar -> idTrabajador = $_POST["idTrabajador"];
    $editar -> ajaxEditarTrabajdor();

}

/*=============================================
VALIDAR NO REPETIR TRABAJADOR
=============================================*/

if(isset( $_POST["validarTrabajador"])){

	$valTrabajador = new AjaxTrabajador();
	$valTrabajador -> validarTrabajador = $_POST["validarTrabajador"];
	$valTrabajador-> ajaxValidarTrabajador();

}